Subject: Re: [PATCH net-next] net: stmmac: avoid passing pci_dev

From: Jakub Kicinski <[email-masked]>
Date: Sat, 14 Mar 2026 09:44:23 -0700

On Thu, 12 Mar 2026 12:13:52 +0000 Russell King (Oracle) wrote:
> To avoid unexpectedly exposing the device name through ethtool where
> it wasn't provided before, add a flag priv->plat->provide_bus_info
> to enable this, which only dwmac-intel needs to set.

Seems fine, but maybe as a separate patch we can expose it for all
devices? Is there anything special about platform devices here?